commit:     d68a2c4961d4945c3a0641d114e9928430675a88
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sun Feb 18 07:04:05 2024 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sun Feb 18 07:04:05 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d68a2c49

dev-ruby/jwt: add 2.8.0

Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/jwt/Manifest         |  1 +
 dev-ruby/jwt/jwt-2.8.0.ebuild | 33 +++++++++++++++++++++++++++++++++
 2 files changed, 34 insertions(+)

diff --git a/dev-ruby/jwt/Manifest b/dev-ruby/jwt/Manifest
index 19dbcecb87e8..e9d556f5dddc 100644
--- a/dev-ruby/jwt/Manifest
+++ b/dev-ruby/jwt/Manifest
@@ -1,2 +1,3 @@
 DIST jwt-2.7.0.tar.gz 75020 BLAKE2B 
2bfa009912f4037dc13672ef6d43557e70bc9a06d399d949a6c5ddee641dc550a218242482ec0a66eb470ab117d1e192dd1ca6fdb5a03926d85f4902d72500e7
 SHA512 
8e0bb9909d123b7b73fe01fafc4088e45140e417b1bff84b240a317f3dca8085b2b987bd1e93cb1506efc66a1f7371168f8202a590308ee0e4c52820983a9789
 DIST jwt-2.7.1.tar.gz 75003 BLAKE2B 
5c43fd78cf22960749358cbfcbfb5c47dce935ef8fd83235137a963572b95b19583399e142136663d113df472ebfb5dd976ce60156b75cceeff387950b6190b0
 SHA512 
efcdd81bc472a18764e0033f1040e9e2506952cbfb691acfc1ad90a5b34ebac864911e0cfeb28b82ac2ce1da7e3578a6677c0b113d1e45a81a3f4c4f8fed1047
+DIST jwt-2.8.0.tar.gz 71132 BLAKE2B 
195bce2da7598c2c16d22db6b0322b6b8b9ab76dba70bc66f88ae44a030acc4a2d70a9864c760ebabb6b6d6ae6256fe291be33aea4e67432258f4243e939d9b6
 SHA512 
d2ef3505aa38f0337a658fa365258195be118939ec300dc8d17ca6cb950358b2e9a7c64c0dea3ef50df250c70da4e2233a4daccbe8fac97e902e28b7e9dcfa0d

diff --git a/dev-ruby/jwt/jwt-2.8.0.ebuild b/dev-ruby/jwt/jwt-2.8.0.ebuild
new file mode 100644
index 000000000000..e092f3ff6285
--- /dev/null
+++ b/dev-ruby/jwt/jwt-2.8.0.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby31 ruby32 ruby33"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_BINWRAP=""
+RUBY_FAKEGEM_GEMSPEC="ruby-jwt.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A Ruby implementation of JSON Web Token draft 06"
+HOMEPAGE="https://github.com/jwt/ruby-jwt";
+SRC_URI="https://github.com/jwt/ruby-jwt/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="2"
+KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86"
+IUSE="test"
+
+RUBY_S="ruby-jwt-${PV}"
+
+ruby_add_bdepend "test? ( dev-ruby/rbnacl )"
+
+all_ruby_prepare() {
+       sed -i -e "/simplecov/ s:^:#:" \
+               -e '/^SimpleCov.start/,/^end/ s:^:#:' \
+               spec/spec_helper.rb || die
+
+       sed -i -e 's/git ls-files -z/find * -print0/' ${RUBY_FAKEGEM_GEMSPEC} 
|| die
+}

Reply via email to